Skip to navigation

Get workload pods by id.

View as Markdown
Retrieve the details of workload pods by workload id.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

workloadIdstringRequiredformat: "uuid"

The Universally Unique Identifier (UUID) of the workload.

Query parameters

deletedbooleanOptional

Return only deleted resources when true.

offsetintegerOptional
The offset of the first item returned in the collection.
limitintegerOptional1-500Defaults to 50
The maximum number of entries to return.
searchstringOptional
Filter results by a free text search.
sortOrderenumOptionalDefaults to asc
Sort results in descending or ascending order.
Allowed values:
sortByenumOptional
Sort results using a parameter.
filterBylist of stringsOptional

Filter results using a parameter. Use the format field-name operator value. Operators are == Equals, != Not equals, <= Less than or equal, >= Greater than or equal, =@ contains, !@ Does not contains, =^ Starts with and =$ Ends with. Dates are in ISO 8601 timestamp format and available for operators ==, !=, <= and >=.

Response

Executed successfully.
podslist of objects
nextintegerOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error